Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062727 - [gold] ld.gold searches /usr/lib instead of /usr/lib64 on x86_64
Summary: [gold] ld.gold searches /usr/lib instead of /usr/lib64 on x86_64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 19:45 UTC by Volker Braun
Modified: 2015-06-29 15:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:04:08 UTC


Attachments (Terms of Use)

Description Volker Braun 2014-02-07 19:45:21 UTC
Description of problem:

The optional gold linker (ld.gold) does not search /usr/lib64 by default on x86_64 systems


Version-Release number of selected component (if applicable):

Fedora 20, GNU gold (version 2.23.2) 1.11


How reproducible:

Always.


Steps to Reproduce:

$ echo 'int f() {}' > a.c
$ gcc -c a.c
$ ld.gold a.o -lc
ld.gold: error: cannot find -lc


Actual results:

Gold does not find libc


Expected results:

Gold should find /usr/lib64/libc.so. This works with the normal linker (testcase is insufficient to build a working ELF binary, but at least the library is found):

$ ld.bfd a.o -lc
ld.bfd: warning: cannot find entry symbol _start; defaulting to 00000000004001f4
$ ldd a.out
	linux-vdso.so.1 =>  (0x00007fffc8b9b000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003826e00000)
	/lib/ld64.so.1 => /lib64/ld-linux-x86-64.so.2 (0x0000003826a00000)



Additional info:

The gold configure file has an option

  --with-lib-path=dir1:dir2...  set default LIB_PATH

This should be used to set up the library search path on x86_64

Comment 1 Fedora End Of Life 2015-05-29 10:50:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 15:04:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.